# $Revision: 1.19 $, $Date: 2004/11/21 13:08:25 $
Summary:	A front-end for configuring the Apache Web server
Summary(pl):	Frontend do konfiguracji serwera WWW Apache
Name:		comanche
Version:	990405
Release:	5
License:	GPL
Group:		Applications/System
#Source0:	http://comanche.com.dtu.dk/comanche/download/com%{version}.tar.gz
Source0:	com%{version}.tar.gz
# Source0-md5:	96ad93f17de7b11c52cd9a4ff028570b
Source1:	%{name}.desktop
Source2:	%{name}.xpm
Source3:	%{name}-mini.xpm
Obsoletes:	apachecfg
Requires:	itcl
Requires:	rcs
Requires:	tk
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Comanche (COnfiguration MANager for apaCHE) is a front-end for the
Apache Web server, the most popular Web server used on the Internet.
Comanche aims to to make it easier to manage and configure Apache.

Install the commanche package if you need a configuration manager for
the Apache Web server. You'll also need to install the apache package.

%description -l pl
Commanche (COnfiguration MANager for apaCHE) jest interfejsem
(frontendem) dla Apache, najpopularniejszego serwera WWW uywanego w
sieci Internet. Dziki Commanche atwiej jest zarzdza i konfigurowa
Apache.

%prep
%setup -q -n com%{version}

%build
cat > comanche <<EOF
#!/bin/sh
#

cd /usr/lib/comanche
exec %{_bindir}/itkwish3.0 main.tcl %{_sysconfdir}/httpd/conf
EOF

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},/usr/lib/comanche,%{_pixmapsdir}/mini,%{_applnkdir}/System}

install comanche $RPM_BUILD_ROOT%{_bindir}
rm -f apachectl INSTALL changes.txt comanche
cp -a * $RPM_BUILD_ROOT/usr/lib/comanche
install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/System
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}/mini/mini-comanche.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
/usr/lib/comanche
%{_applnkdir}/System/comanche.desktop
%{_pixmapsdir}/comanche.xpm
%{_pixmapsdir}/mini/mini-comanche.xpm

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: comanche.spec,v $
Revision 1.19  2004/11/21 13:08:25  havner
- wrr

Revision 1.18  2004/11/21 12:50:27  havner
- rel 4, /usr/lib/ even on amd64

Revision 1.17  2003/09/09 11:05:25  ankry
- sorted (Build)Requires

Revision 1.16  2003/08/06 16:48:27  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.15  2003/06/24 11:11:23  ankry
- md5

Revision 1.14  2003/05/28 12:58:48  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 05:46:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2002/04/25 16:06:15  arturs
fixed a small typo

Revision 1.11  2002/02/23 01:44:57  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:28:45  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:12:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/11/13 12:35:44  qboosh
- adapterized, pl summary, changed .wmconfig to .desktop

Revision 1.7  2000/05/18 17:11:04  kloczek
- spec adapterized.

Revision 1.6  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.5  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 11:10:59  arturs
typo

Revision 1.3  2000/03/27 12:45:34  arturs
- added %description -l pl

Revision 1.2  1999/08/20 14:02:20  baggins
- spec cleanup for PLD

Revision 1.1  1999/08/19 20:07:25  baggins
almost raw

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- upgrade to Daniel's latest fix release (990405)

* Tue Mar 30 1999 Preston Brown <pbrown@redhat.com>
- defattr for files section
- upgrade to Daniel's latest fix release

* Fri Mar 26 1999 Daniel Lopez <ridruejo@comanche.com.dtu.dk>
- upgrade to 19990325, added missing documentation

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 19981207, fixed wmconfig stuff.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Thu Sep 24 1998 Cristian Gafton <gafton@redhat.com>
- updated to 0.6a
- patched to work with apache 1.3.2

* Sun May 10 1998 Cristian Gafton <gafton@redhat.com>
- install comanche.xpm in the control-panel directory

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- first packaging
- added patch from MkJ to get rid og non-working menus
- obsoletes apachecfg
